#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hls-refactor-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-refactor-plugin-2.0.0.0-7cW6MpZVbY2BzQC6BjBxow
key:                  hls-refactor-plugin-2.0.0.0-7cW6MpZVbY2BzQC6BjBxow
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  27c6e1326105dedf12c0fb8430fdf611
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-2.0.0.0-7cW6MpZVbY2BzQC6BjBxow
depends:
    aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK base-4.17.2.1
    bytestring-0.11.5.3 containers-0.6.7
    data-default-0.7.1.1-1yOEWF3Vf5X1WkNQ8K9cH3 deepseq-1.4.8.0
    dlist-1.0-E6NH3FgQOLV23KUyETppVK
    extra-1.7.16-7Y66O2JePbwC6vVnVWFdDd ghc-9.4.8 ghc-boot-9.4.8
    ghc-exactprint-1.6.1-7p7TYzOMhyT3Ovg3Q90eXI
    ghcide-2.0.0.0-IJ8qk8i9cb8Ag9L2ekHuP6
    hls-graph-2.0.0.0-9X8dT1k5ml6D2XzPe0KFn
    hls-plugin-api-2.0.0.0-JYrGyUP9yWT8HGpBdLDhkS
    lens-5.2.3-7xTAGVF8ixt9yux1447c6O
    lsp-1.6.0.0-9fuqLlnAmQv2xzf8eBRNkc mtl-2.2.2
    regex-tdfa-1.3.2.3-LJS0s5hbAWmA39S3S7qIrL
    retrie-1.2.3-AM7VD9pecs2IwEEhLK1pjy
    syb-0.7.2.4-HJAbU0lurQkHN7nU4EHwhb text-2.0.2
    text-rope-0.3-4FGiEVzSJVMEMZZlXPtn8h time-1.12.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-1FuCl8JL5xL639QhRwjqcc

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

